#
# spec file for package python-bashate
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-bashate
Version:        0.5.1
Release:        7.1
Summary:        A pep8 equivalent for bash scripts
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openstack.org/
Source:         https://pypi.io/packages/source/b/bashate/bashate-%{version}.tar.gz
BuildRequires:  python-Babel
BuildRequires:  python-argparse
BuildRequires:  python-devel
BuildRequires:  python-mock
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
Requires:       python-Babel >= 0.9.6
Requires:       python-argparse
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A pep8 equivalent for bash scripts

This program attempts to be an automated style checker for bash scripts
to fill the same part of code review that pep8 does in most OpenStack
projects. It started from humble beginnings in the DevStack project,
and will continue to evolve over time.

- Free software: Apache license
- Documentation: http://docs.openstack.org/developer/bashate
- Source: http://git.openstack.org/cgit/openstack-dev/bash8
- Bugs: http://bugs.launchpad.net/bash8

%prep
%setup -q -n bashate-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
testr init
testr run

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.rst ChangeLog
%{_bindir}/bashate
%{python_sitelib}/*

%changelog
* Tue Oct 25 2016 dmueller@suse.com
- update to 0.5.1:
  * Add releasenote on python3
  * Handle argument line-up in continuations
  * Cleanup continuation line handling
  * Ignore heredoc contents
  * Replace heredoc fail-to-end detection E012 with "bash -n"
  * Set up locale for bash syntax testing
  * Only warn about tab-indent
  * Add shallow syntax checking
* Fri Nov 20 2015 dmueller@suse.com
- update to 0.3.2:
  * Detect setting locals with subshell commands
  * Change ignore-errors to ignore_errors
  * Move to hacking 0.10
  * add E006: check for lines longer than 79 columns
  * Cleanup variable names TODO
  * Fix broken py3 tests
  * Change non intuitive error message
  * Don't mock argparse
  * Add #! or .sh test at warning level
  * Move messages into a dict
  * Add --warn to turn messages down to warnings
  * Remove pylint from requirements
  * Change test order to avoid incompatibliity
  * Clean-up return statements
  * Workflow documentation is now in infra-manual
  * Put all messages into separate package
  * Removed \b that don't work anyway
* Sat Nov  8 2014 dmueller@suse.com
- update to 0.3.1:
  * Add man page
  * Remove automagic file finder
  * Strip comments before checks
  * Revert "Add E040: $(COMMAND) preferred over `COMMAND`"
  * Check for bash-like "for"
  * Warn against sorting requirements
  * Rename doc environment to docs
  * Add Pylint testenv environment
  * Add a check for $[
  * Add E040: $(COMMAND) preferred over `COMMAND`
  * Treat if and elif equally
  * Add new register_ignores unit tests
  * Clean-up E011 and E020 messages
  * Bump hacking to 0.9.x series
  * Reduce loops and if statements in method discover_files
  * Remove unneeded definitions of Python Source Code Encoding
  * Add a space to the output of the method log_error
  * Fix source location URL in README
  * Fix .gitreview project path
* Tue Oct  7 2014 dmueller@suse.com
- Initial package (0.2.0)
